#################################################################################
##
##   R package rgarch by Alexios Ghalanos Copyright (C) 2008, 2009, 2010, 2011
##   This file is part of the R package rgarch.
##
##   The R package rgarch is free software: you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, either version 3 of the License, or
##   (at your option) any later version.
##
##   The R package rgarch is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.
##
#################################################################################

# Package Highest Level Virtual Class
#setClass("mGARCHspec", contains = c("GARCHspec", "VIRTUAL"))
#setClass("mGARCHfit", contains = c("GARCHfit", "VIRTUAL"))
#setClass("mGARCHfilter", contains = c("GARCHfilter", "VIRTUAL"))
#setClass("mGARCHforecast", contains = c("GARCHforecast", "VIRTUAL"))
#setClass("mGARCHsim", contains = c("GARCHsim", "VIRTUAL"))
#setClass("mGARCHroll", contains = c("GARCHroll", "VIRTUAL"))


setClass("DCCspec",
		representation(mspec = "vector",
				uspec = "uGARCHmultispec"),
		contains = "mGARCHspec")

setClass("DCCfit",
		representation(mfit = "vector",
				ufit = "uGARCHmultifit"),
		contains = "mGARCHfit")


setClass("DCCfilter",
		representation(mfilter = "vector",
				ufilter = "uGARCHmultifilter"),
		contains = "mGARCHfilter")

setClass("DCCforecast",
		representation(mforecast = "vector",
				uforecast = "uGARCHmultiforecast"),
		contains = "mGARCHforecast")

setClass("DCCsim",
		representation(msim = "vector"),
		contains = "mGARCHsim")

setClass("DCCroll",
		representation(forecast = "vector",
				spec = "vector"),
		contains = "mGARCHroll")