#################################################################################
##
##   R package rgarch by Alexios Ghalanos Copyright (C) 2008, 2009, 2010, 2011
##   This file is part of the R package rgarch.
##
##   The R package rgarch is free software: you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, either version 3 of the License, or
##   (at your option) any later version.
##
##   The R package rgarch is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.
##
#################################################################################

# GO-GARCH Model (Factor/BEKK Family)
setClass("goGARCHspec",
		representation(mspec = "vector",
				uspec = "uGARCHspec"),	
		contains = "mGARCHspec")

setClass("goGARCHfit",
		representation(mfit = "vector",
				ufit = "uGARCHmultifit"),
		contains = "mGARCHfit")

setClass("goGARCHfilter",
		representation(mfilter = "vector",
				ufilter = "uGARCHmultifilter"),
		contains = "mGARCHfilter")

setClass("goGARCHforecast",
		representation(mforecast = "vector",
				uforecast = "uGARCHmultiforecast"),
		contains = "mGARCHforecast")

setClass("goGARCHsim",
		representation(msim = "vector",
				usim = "vector"),
		contains = "mGARCHsim")

setClass("goGARCHroll",
		representation(forecast = "vector",
				spec = "vector"),
		contains = "mGARCHroll")

setClass("goGARCHfft",
		representation(dist = "vector"))
