\name{ARFIMAfpm-class}
\docType{class}
\alias{ARFIMAfpm-class}
\alias{as.data.frame,ARFIMAfpm-method}
\alias{show,ARFIMAfpm-method}

\title{class: ARFIMA Forecast Performance Measures}
\description{
Class for the ARFIMA Forecast Performance Measures.
}
\section{Slots}{
  \describe{
    \item{\code{seriesfpm}:}{Object of class \code{"vector"}  }
    \item{\code{forecasts}:}{Object of class \code{"vector"}  }
    \item{\code{realized}:}{Object of class \code{"vector"}  }
    \item{\code{details}:}{Object of class \code{"vector"}  }
  }
}
\section{Extends}{
Class \code{"\linkS4class{GARCHtests}"}, directly.
Class \code{"\linkS4class{rGARCH}"}, by class "GARCHtests", distance 2.
}
\section{Methods}{
  \describe{
    \item{as.data.frame}{\code{signature(x = "ARFIMAfpm")}: Option to extract the \dQuote{medianloss}
    or \dQuote{meanloss} measures using the \code{type} option or the \dQuote{loss} for the actual
    loss series. In the case of the \dQuote{loss} series option, additional \dQuote{rollframe} should
    be supplied indicating the rolling frame to return (defaults to the first, i.e. the actual without
    roll)}
    \item{show}{\code{signature(object = "ARFIMAfpm")}: Summary method.}
	 }
}
\author{ Alexios Ghalanos }

\keyword{classes}
